wvstreams (4.6.1-19ubuntu2) stonking; urgency=medium

  * No-change rebuild against libssl4

 -- Ravi Kant Sharma <ravi.kant.sharma@canonical.com>  Thu, 23 Jul 2026 16:37:01 +0000

wvstreams (4.6.1-19ubuntu1) stonking; urgency=medium

  * Fix FTBFS with OpenSSL 4.0 (LP: #2154991)
    - d/p/fix-for-openssl4-compat.patch: use const for X509 accessor return
      values, create mutable X509_NAME instead of const_cast, replace opaque
      ASN1_STRING direct member access with accessor functions

 -- Ravi Kant Sharma <ravi.kant.sharma@canonical.com>  Tue, 10 Jun 2026 11:48:00 +0200

wvstreams (4.6.1-19) unstable; urgency=medium

  * QA upload.
  * Drop Build-Depends: libdb-dev. (Closes: #1119177)
  * Explicitly Build-Depend: libcrypt-dev. (Closes: #1107035)

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 27 Oct 2025 23:54:47 +0100

wvstreams (4.6.1-18) unstable; urgency=medium

  * QA upload.

  * Added d/gbp.conf to describe branch layout.
  * Updated vcs in d/control to Salsa.
  * Updated d/gbp.conf to enforce the use of pristine-tar.
  * Updated Standards-Version from 3.9.8 to 4.7.0.
  * Use wrap-and-sort -at for debian control files.
  * Trim trailing whitespace.
  * Set field Upstream-Name in debian/copyright.
  * Set upstream metadata fields: Repository-Browse.
  * Fix day-of-week for changelog entries 4.0.2-2, 3.80+20040623-1.
  * Corrected d/watch to work with current upstream.
  * Marked libwvstreams4.6-doc as Multi-Arch: foreign.
  * Adjusted d/rules to use CXXFLAGS too.
  * Removed unused autotools-dev build dependency.
  * Updated lintian overrides to match current format.
  * Added 1100-getcontex-assert.patch to ensure program work with -DNDEBUG.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 04 Dec 2024 08:24:44 +0100

wvstreams (4.6.1-17.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1063887

 -- Steve Langasek <vorlon@debian.org>  Thu, 29 Feb 2024 05:52:13 +0000

wvstreams (4.6.1-17) unstable; urgency=medium

  * QA upload.
  * Run dh_autreconf. (Closes: #1046700)
  * Trim URI whitespace according to RFC. (Closes: #781745)
  * d/copyright: Convert to machine-readable format.
  * Add public domain statement for ftpparse.

 -- Bastian Germann <bage@debian.org>  Sat, 03 Feb 2024 22:43:16 +0000

wvstreams (4.6.1-16) unstable; urgency=medium

  * QA upload.
  * Drop uniconfd and uniconf-tools packages; wvstreams itself is still
    needed as an rdep of wvdial (Closes: #1039421)

 -- Moritz Muehlenhoff <jmm@debian.org>  Sun, 03 Sep 2023 20:39:03 +0200

wvstreams (4.6.1-15) unstable; urgency=medium

  * QA upload.
  * Fix build failure with gcc-10 (Closes: #957964)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 15 Aug 2020 22:10:31 +0200

wvstreams (4.6.1-14) unstable; urgency=medium

  * QA upload.

  [ Helmut Grohne ]
  * Fix FTCBFS: 12_cross.patch: Use triplet-prefixed pkg-config
    (Closes: #852741).

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 27 Aug 2018 09:24:49 +0200

wvstreams (4.6.1-13) unstable; urgency=medium

  * QA upload.
  * Remove old openssl build-dependency

  [ Reiner Herrmann ]
  * Port to openssl 1.1 (Closes: #859791)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 25 Aug 2018 16:29:57 +0200

wvstreams (4.6.1-12) unstable; urgency=low

  * QA upload.
  * Work around stack corruption, thanks to Karol Ossowski.
    (Closes: #863039)

 -- Adrian Bunk <bunk@debian.org>  Sun, 12 Aug 2018 21:40:33 +0300

wvstreams (4.6.1-11) unstable; urgency=medium

  * QA upload.
  * Build with OpenSSL 1.0 (Closes: #828603).

 -- Andrey Rahmatullin <wrar@debian.org>  Sat, 17 Dec 2016 15:02:02 +0500

wvstreams (4.6.1-10) unstable; urgency=medium

  * QA upload.
  * d/p/gcc-6: Update patch to fix more restrictive interpretation of
    the standard by g++-6, Closes: #831146

 -- Gert Wollny <gw.fossdev@gmail.com>  Tue, 26 Jul 2016 19:30:17 +0000

wvstreams (4.6.1-9) unstable; urgency=medium

  * QA upload.
  * d/p/gcc-6: Patch to fix compilation with gcc-6, Closes: #811659
  * run 'cme fix dpkg-control', updated standards version to 3.9.8
  * d/compat, d/control: update compat level to 9
  * d/watch: Point to new github source location
  * d/control: add new Github home page
  * d/uniconfd.init: source /lib/lsb/init-functions if available
  * d/rules: Add and install overrides for missing manpage of dev test
    program and the Doxygen created embedded javascript library
  * d/rules: remove irrelevant *.md5 files from -doc package

 -- Gert Wollny <gw.fossdev@gmail.com>  Mon, 11 Jul 2016 15:34:22 +0000

wvstreams (4.6.1-8) unstable; urgency=medium

  * QA upload.
  * Move the last three dh_commands to binary-arch and binary-indep.
  * Move chmod a-x to binary-arch. Closes: #806122.

 -- Santiago Vila <sanvila@debian.org>  Sun, 01 May 2016 13:01:12 +0200

wvstreams (4.6.1-7) unstable; urgency=low

  * QA upload.
  * Don't build-conflict with valgrind; pass --without-valgrind to the
    configure script instead.
  * Regenerate the configure script from source at build time. Build-depend on
    autoconf.
  * Patch the configure script to make it possible to disable readline.
  * Disable readline support (closes: #725858).
  * Bump debhelper compatibility level to 7.
    + Update minimum required debhelper version in Build-Depends accordingly.
  * Improve debian/rules:
    + Use “chmod a-x” instead of “chmod -x”.
    + Don't ignore errors from rm.
    + Don't remove the .pc directory in the clean target.
    + Copy config.sub and config.guess unconditionally.
    + Use “dh_prep” instead of “dh_clean -k”.
  * Improve patches:
    + Add patch headers.
    + Split 05_gcc.diff into two patches:
      - 08_openssl-1.0.diff, to fix FTBFS with OpenSSL 1.0;
      - 09_glibc-2.12.diff, to fix FTBFS with glibc 1.12.
  * Fix a typo.

 -- Jakub Wilk <jwilk@debian.org>  Thu, 31 Oct 2013 16:10:21 +0100

wvstreams (4.6.1-6) unstable; urgency=low

  * QA upload.
  * Suggest tk8.5 instead of tk8.4.
  * Build using hardening flags.
  * Enable verbose build.
  * debian/control: Remove Homepage attribute, doesn't exist anymore.

 -- Matthias Klose <doko@debian.org>  Thu, 14 Mar 2013 11:51:08 -0700

wvstreams (4.6.1-5) unstable; urgency=low

  * QA upload.
  * Disable some gcc-4.7 optimization flags to fix wrong magic_number bug.
    Thanks to Peter Drysdale <drysdalepete@gmail.com>. (Closes: #674006)
  * Disable parallel build.
  * Add Build-Depends: graphviz.

 -- Johann Felix Soden <johfel@debian.org>  Fri, 13 Jul 2012 00:39:24 +0200

wvstreams (4.6.1-4) unstable; urgency=low

  * QA upload.
  * Remove Qt3 support. (Closes: #604389)

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Fri, 18 May 2012 21:38:56 +0200

wvstreams (4.6.1-3) unstable; urgency=low

  * QA upload.
  * Fix "ftbfs with GCC-4.7": add patch 06_gcc-4.7.diff from Paul Tagliamonte
    (missing include).
    (Closes: #667418)

 -- gregor herrmann <gregoa@debian.org>  Fri, 20 Apr 2012 13:16:59 +0200

wvstreams (4.6.1-2) unstable; urgency=low

  * QA upload.
  * Switch to format 3.0 (quilt).
  * debian/patches/05_gcc.diff:
    - Fix FTBFS with new gcc (Closes: #621990).
  * Drop obsolete Conflicts/Replaces fields.
  * Bump Standards-Version to 3.9.2.

 -- Luca Falavigna <dktrkranz@debian.org>  Fri, 20 May 2011 00:39:34 +0200

wvstreams (4.6.1-1) unstable; urgency=low

  * QA upload.
  * New upstream release
  * debian/rules
    - enable "--with-dbus" (Closes: #551869)
  * debian/libwvstreams4.6-extra.install
    - add "debian/tmp/usr/lib/libwvdbus.so*" to inclde libwvdubs.so.4.6
  * debian/control
    - add "(= ${binary:Version})" to libwvstreams-dev package to fix
     "weak-library-dev-dependency"
    - add Build-Depends: libdbus-1-dev to correspond to "--with-dbus" in rules.

 -- Hideki Yamane (Debian-JP) <henrich@debian.or.jp>  Thu, 05 Nov 2009 09:12:48 +0900

wvstreams (4.6-2) unstable; urgency=low

  * QA upload.
  * Conflicts/Replaces libuniconf4.4 for libuniconf4.6 binary package
    to allow clean upgrade from a previous version (Closes: #540320).
  * Bump Standards-Version to 3.8.3, no changes needed.

 -- Luca Falavigna <dktrkranz@debian.org>  Tue, 25 Aug 2009 21:55:23 +0200

wvstreams (4.6-1) unstable; urgency=low

  * QA upload.
  * New upstream release.
    + Move old source changes to quilt.
    + Rename binaries for new upstream version.
  * 01_kfreebsd_ftbfs.diff - Fix FTBFS on kFreeBSD. (Closes: #537883).
    + Thanks to Petr Salinger for the fix!
  * Copy in config.{sub,guess} on configure, rm them on clean.
    + Add autotools-dev build-dep.
  * Clean up rules file.
  * Add Homepage.
  * Remove duplicate sections from debian/control.
  * Update debian/copyright.
  * Bump Standards Version to 3.8.2. (No changes needed).

 -- Barry deFreese <bdefreese@debian.org>  Wed, 29 Jul 2009 11:36:38 -0400

wvstreams (4.4.1-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * Fix return type checking of X509_REQ_verify (Closes: #513539)

 -- Moritz Mühlenhoff <jmm@debian.org>  Sat, 07 Feb 2009 13:34:04 +0100

wvstreams (4.4.1-1) unstable; urgency=low

  * QA upload.
    + Set maintainer to Debian QA Group <packages@qa.debian.org>.
    + Remove Simon Law. (Closes: #487140).
  * Acknowledge NMUs. (Closes: #440245).
  * Remove duplicate build-dep on doxygen.
  * Update {Source-Version} to ${binary:Version}.
  * Make clean not ignore errors.
  * Add suggests on tk8.4 || wish to libwvstreams-dev package.
  * Add watch file.
  * Bump debhelper build-dep and compat to 5.
  * Bump Standards Version to 3.8.0.

 -- Barry deFreese <bdefreese@debian.org>  Wed, 28 Jan 2009 21:37:43 -0500

wvstreams (4.4.1-0.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fixed dependency information LSB header in init.d script
    (closes: #470067)

 -- Peter Eisentraut <petere@debian.org>  Sat, 05 Apr 2008 14:47:52 +0200

wvstreams (4.4.1-0.1) unstable; urgency=low

  * NMU.
  * New upstream version.
  * Renamed library packages (ldbl transition). Closes: #430320.
  * Fix build failures with g++-4.3. Closes: #461671.
  * debian/control: Build against db4.6. Closes: #421948.
  * debian/control: Build-Conflict with valgrind. Closes: #387671.
  * debian/control: libuniconf4.4: Conflict with libuniconf4.3, libuniconf4.2.
  * Prevent WvModem from hanging if there's nothing on the other side.
  * Define %html-ext% to ".html" while building HTML documentation,
    since current docbook-dsssl appears to default to ".htm".
  * Use new /usr/share/sgml location for docbook.dsl.

 -- Matthias Klose <doko@debian.org>  Mon, 28 Jan 2008 01:01:46 +0100

wvstreams (4.2.2-2.3) unstable; urgency=low

  * Non-maintainer upload.
  * Apply brian m. carlson's FTBFS patch.  (Closes: Bug#387989).

 -- Robert S. Edmonds <edmonds@debian.org>  Thu, 30 Aug 2007 15:52:19 -0400

wvstreams (4.2.2-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Add OpenSSL_add_ssl_algorithms() to SSL initializiation, as we're using
    the SSL part of OpenSSL and not just the crypto part (which was already
    initialized); fixes problems with WvSSLStream on at least amd64.
    (Closes: #385296)

 -- Steinar H. Gunderson <sesse@debian.org>  Sun, 24 Sep 2006 19:53:20 +0200

wvstreams (4.2.2-2.1) unstable; urgency=low

  * NMU as part of the GCC 4.1 transition.
  * Remove extra qualifications from C++ files.  (Closes: Bug#357380).

 -- Martin Michlmayr <tbm@cyrius.com>  Fri, 26 May 2006 15:03:18 +0200

wvstreams (4.2.2-2) unstable; urgency=low

  * Fix FTBFS due to new GNU Make.  (Closes: Bug#348190)

 -- Simon Law <sfllaw@debian.org>  Tue, 17 Jan 2006 07:37:09 -0500

wvstreams (4.2.2-1) unstable; urgency=low

  * New upstream version.
    - Builds on AMD64.  (Closes: Bug#343710)

 -- Simon Law <sfllaw@debian.org>  Mon,  9 Jan 2006 18:05:16 -0500

wvstreams (4.2.1-1) unstable; urgency=low

  * New upstream version.

 -- Simon Law <sfllaw@debian.org>  Fri, 18 Nov 2005 15:38:40 -0500

wvstreams (4.2-1) unstable; urgency=low

  * New upstream version.
    - WvStreams supports high baud rates.  (Closes: Bug#271095)
    - Builds on GNU/kFreeBSD.  (Closes: Bug#332993)
    - Builds with OpenSSL 0.9.8. (Closes: Bug#336591)
  * Acknowledge NMUs.  (Closes: Bug#325247, Bug#328001)

 -- Simon Law <sfllaw@debian.org>  Tue,  8 Nov 2005 13:22:24 -0500

wvstreams (4.1.1-1) unstable; urgency=low

  * New upstream version.

 -- William Lachance <wlach@nit.ca>  Wed,  6 Jul 2005 17:46:37 -0500

wvstreams (4.1.0-1) unstable; urgency=low

  * New upstream version.
  * We now depend on XPLC 0.3.11.
  * Remove fam, fftw, vorbis, speex dependancies

 -- William Lachance <wlach@nit.ca>  Wed,  6 Apr 2005 19:31:07 -0500

wvstreams (4.0.2-4) unstable; urgency=low

  * Export WE_ARE_DIST so that don't rebuild the configure script.

 -- James Morrison <phython@debian.org>  Sun,  3 Apr 2005 13:35:50 -0400

wvstreams (4.0.2-3) unstable; urgency=low

  * Depend on libxplc0.3.11 now that it is in the archive. (Closes: #302370)
  * Use log instead of seterr for messages in wvmodem.cc

 -- James Morrison <phython@debian.org>  Sat,  2 Apr 2005 10:52:21 -0500

wvstreams (4.0.2-2) unstable; urgency=low

  * Depend on libxplc0.3.10. (Closes: #301168)

 -- James Morrison <phython@debian.org>  Thu, 24 Mar 2005 07:50:07 -0500

wvstreams (4.0.2-1) unstable; urgency=low

  * New upstream release.  (Closes: #297485)
  * Moved /etc/uniconf.conf to libuniconf4.0.
  * Added /etc/default/uniconfd to uniconfd's init script.
  -- Simon Law

  * Acknowledge NMUs.  (Closes: #292618, #297694, #297554, #286593, #289237)
  * We now depend on XPLC 0.3.11.

 -- James Morrison <phython@debian.org>  Wed, 23 Mar 2005 22:20:07 -0500

wvstreams (4.0.1-1.4) unstable; urgency=low

  * Non-maintainer upload.
  * Further setup_modem fixes: don't depend on TIOCSSERIAL or
    TIOCGSERIAL working at all, since they apparently don't with USB
    modems and some WinModems.  (Closes: #297694, #297554)

 -- Steve Langasek <vorlon@debian.org>  Mon, 21 Mar 2005 21:40:51 -0800

wvstreams (4.0.1-1.3) unstable; urgency=high

  * Non-maintainer upload.
  * High-urgency upload for sarge-targetted RC bugfix
  * Fix WvModem::setup_modem to not expect TIOCSSERIAL to work if we're not
    root.  (Closes: #292618)

 -- Steve Langasek <vorlon@debian.org>  Sat,  5 Feb 2005 02:45:25 -0800

wvstreams (4.0.1-1.2) unstable; urgency=high

  * NMU with maintainer's permission
  * Use high urgency as the version in testing has unfixed
    RC bugs (#281772)
  * libwvstreams.dev has to depend on libxplc0.3.10-dev
    (Closes: #289237)

 -- Frank Lichtenheld <djpig@debian.org>  Sun,  9 Jan 2005 14:40:02 +0100

wvstreams (4.0.1-1.1) unstable; urgency=low

  * NMU at request of maintainer
  * add doxygen to build-depends (Cloeses: #286593)

 -- Blars Blarson <blarson@blars.org>  Mon, 27 Dec 2004 18:51:32 -0800

wvstreams (4.0.1-1) unstable; urgency=low

  * New upstream version.  (Closes: Bug#276571)
    - Fixes OpenSSL FTBFS.  (Closes: Bug#281772)
  * Depend on a newer version of BDB.  (Closes: Bug#248522)
  * We now depend on XPLC 0.3.10.

 -- Simon Law <sfllaw@debian.org>  Wed, 17 Nov 2004 15:17:09 -0500

wvstreams (4.0.0-1) unstable; urgency=low

  * New upstream version.

 -- Simon Law <sfllaw@debian.org>  Thu,  7 Oct 2004 19:54:24 +0000

wvstreams (4.0+20040924-1) unstable; urgency=low

  * New upstream snapshot.

 -- Simon Law <sfllaw@debian.org>  Fri, 24 Sep 2004 10:44:55 -0400

wvstreams (4.0+20040827-1) unstable; urgency=low

  * New upstream snapshot.
  * Don't install XPLC out of the source tarball.
  * libwvstreams4.0-dev should really be libwvstreams-dev.

 -- Simon Law <sfllaw@debian.org>  Fri, 27 Aug 2004 20:45:15 -0400

wvstreams (4.0+20040826-1) unstable; urgency=low

  * New upstream snapshot.
  * Added support for libuniconf4.0 and uniconfd.
  * Updated Build-Depends and Build-Depends-Indep.
  * Rewrote debian/rules.

 -- Simon Law <sfllaw@debian.org>  Thu, 26 Aug 2004 00:10:16 -0400

wvstreams (4.0+20040815-1) unstable; urgency=low

  * New upstream snapshot.
  * New SONAME.
  * Split libwvstreams4.0-extras off of libwvstreams4.0-base.
  * Split libuniconf4.0 off of libwvstreams4.0-base.

 -- Peter Colijn <pcolijn@nit.ca>  Sun, 15 Aug 2004 01:24:31 -0400

wvstreams (3.80+20040623-1) unstable; urgency=low

  * New upstream snapshot.

 -- Simon Law <sfllaw@debian.org>  Wed, 23 Jun 2004 12:20:21 -0400

wvstreams (3.75.0-1) unstable; urgency=low

  * New Upstream release.

 -- James Morrison <phython@debian.org>  Sat, 13 Mar 2004 14:33:44 -0500

wvstreams (3.75+20040221-1) unstable; urgency=low

  * Expand on libwvstreams-fft description.  (Closes: #210130)
  * Check the file descriptor status in wvfile.cc. (Closes: #194336)
  * Use new void * instead of new (void*) .

 -- James Morrison <phython@debian.org>  Sat, 21 Feb 2004 20:55:39 -0500

wvstreams (3.74+20031017-1) unstable; urgency=low

  * Synchronize with upstream CVS -- compiles with gcc 3.3 (Closes: #202030).
  * Don't run make dist.  Call autoheader and autoconf directly.
  * Add autoconf and gs-common to Build-depends. (Closes: #193046)
  * Remove explicit call to autoconf in debian/rules.
  * Install libuniconf in libwvstreams3-base.

 -- James A. Morrison <phython@debian.org>  Fri, 17 Oct 2003 12:28:54 -0400

wvstreams (3.74+20030509-1) unstable; urgency=low

  * Added -fPIC -DPIC back into the build. (Closes: #141409)
  * Synchronize with upstream CVS.
   - fix int vs size_t issues.  (Closes: #189364)

 -- James A. Morrison <phython@debian.org>  Fri, 19 Sep 2003 12:28:54 -0400

wvstreams (3.73+20030404-2) unstable; urgency=low

  * Added -fPIC -DPIC back into the build.

 -- James A. Morrison <phython@debian.org>  Mon, 14 Apr 2003 11:50:20 -0400

wvstreams (3.73+20030404-1) unstable; urgency=low

  * Synchronised with Upstream CVS.

  * Move libwvstreams3-dev to the new libdevel section.

  * Acknowledge NMU. (Closes: #141409)

  * Add Debian revision number. (Closes: #141456)

  * Additional packaging fixes to move libwvstreams-dev into the devel
    section, and libwvstreams-doc into the doc section, also fixed a
    problem with the installer. (Closes: #166208, #166210)

  * Added a WvQT class to enable WvStreams and QT programs to play nice

  * Rewrite of the Encryption stuff to use the new encoders

  * Rewrite of the WvBuffers

  * New WvOggEncoder/WvOggDecoder

  * New WvGtk classes to make WvStreams and Gtk play nice with each other

  * Now with new AutoConf goodness ;)

  * Fixes to make it build with GCC-3.2 (Closes: #166662)

  * Fixes to build the documentation properly (Closes: #158326)

  * Clarify package descriptions. (Closes: #184829)

 -- James Morrison <phython@debian.org>  Sat, 05 Apr 2003 19:35:49 -0500

wvstreams (3.70.1) unstable; urgency=low

  * NMU
  * Build shared objects -fPIC.  Closes: #141409

 -- LaMont Jones <lamont@debian.org>  Tue, 23 Apr 2002 23:58:57 -0600

wvstreams (3.70) unstable; urgency=high

  * Fix to WvPipe so that WvDial doesn't crash

  * Fix to WvString formatter to fix retchmail crasher

  * Various other fixes and cleanups.

 -- Patrick Patterson <ppatters@debian.org>  Fri,  5 Apr 2002 13:39:21 -0500

wvstreams (3.69) unstable; urgency=low

  * Fix to make wvstreams compile without extra effort and environment
    variables

  * Fix to library includes to avoid linker problem

  * Patch from RedHat to make WvStreams 64 bit clean

  * Fix a buglet in WvLinkList that caused some breakage in WvDialConf

  * Debian Packaging Fixes

  * Initial Debian release (Closes: #134134)

 -- Patrick Patterson <ppatters@nit.ca>  Fri,  5 Apr 2002 13:39:11 -0500

libwvstreams3.60 (3.60f) unstable; urgency=low

  * Initial Release.

 -- Patrick Patterson <ppatters@nit.ca>  Tue,  9 Dec 1997 01:39:45 -0500
